Subject: Re: bug#67361: 29.1; MH-E: creating a new folder can sometimes fail with a Lisp error

From: Mike Kupfer <[email-masked]>
Date: Wed, 22 Nov 2023 08:30:55 -0800

> > From: Chris Siebenmann <[email-masked]>
> > Date: Tue, 21 Nov 2023 20:45:11 -0500
> > 
> > Under some conditions, creating a new (N)MH folder in MH-E can fail with
> > a Lisp error of 'Wrong type argument: stringp, nil'. This happens if for
> > some reason you have loaded/required mh-speed.el but have not created a
> > speedbar.

This sounds familiar.  I don't use the speedbar, but I sometimes hit
this issue and find that (boundp 'mh-speed-folder-map) returns t.  I
thought there was an open bug for this already, but I'm not finding it.
I'll look some more over the holiday weekend.

mike